Description

This is a side effect of the recent image scaling modes.

Previously, when one synced an image with the main map for north-arrows, the north arrow rotated and stayed at constant size. This is

the behavior we want.

Now when rotating the map the arrow gets smaller with the rotation because it has to fit in the bounding-box because of the "zoom" scale

mode. All the other scaling modes do not rotate.

I think we need a special "no scale" mode for north arrows where the image rotates around the center but does not scale at all - meaning

that the bounding-box can grow and shrink, but the image stays at constant size.

Associated revisions

Revision da5766c1 - 2014-10-19 12:16 PM - Nyall Dawson

[composer] Allow rotation for pictures set to "zoom & resize" mode

Previously rotation was only allowed for pictures set to "Zoom" mode,

which causes pictures to change size when the rotation changes (frame

size is constant). This change allows pictures set to "Zoom and resize" 

mode to have rotation set. Altering the rotation when in this mode

keeps the picture size constant and changes the frame size to suit.

(fix #10640)

History

#1 - 2014-06-19 06:12 AM - Andreas Neumann

Further investigation shows that already QGIS 2.2 had this scaling problem with rotated images.

QGIS 2.0 was fine - it did not scale the north-arrow while rotating the image.

#2 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#3 - 2014-10-19 03:18 AM - Nyall Dawson

- Status changed from Open to Closed
Fixed in changeset commit:"da5766c19d030fbf03e3863a5b7a3a8db46581a4".

#4 - 2014-10-19 03:19 AM - Nyall Dawson

Should be fixed in master now. I've enabled rotation for pictures in "Zoom and resize" mode. This will keep the actual image size constant while modifying

the frame size.
